## dataproperty 1.0.1

=== Makefile ===
AUTHOR := thombashi
PACKAGE := DataProperty
BUILD_WORK_DIR := _work
PKG_BUILD_DIR := $(BUILD_WORK_DIR)/$(PACKAGE)
PYTHON := python3


.PHONY: build-remote
build-remote: clean
	@mkdir -p $(BUILD_WORK_DIR)
	@cd $(BUILD_WORK_DIR) && \
		git clone https://github.com/$(AUTHOR)/$(PACKAGE).git --depth 1 && \
		cd $(PACKAGE) && \
		$(PYTHON) -m tox -e build
	ls -lh $(PKG_BUILD_DIR)/dist/*

.PHONY: build
build: clean
	@$(PYTHON) -m tox -e build
	ls -lh dist/*

.PHONY: check
check:
	@$(PYTHON) -m tox -e lint

.PHONY: clean
clean:
	@rm -rf $(BUILD_WORK_DIR)
	@$(PYTHON) -m tox -e clean

.PHONY: fmt
fmt:
	@$(PYTHON) -m tox -e fmt

.PHONY: release
release:
	cd $(PKG_BUILD_DIR) && $(PYTHON) setup.py release --verbose --search-dir dataproperty
	$(MAKE) clean

.PHONY: setup-ci
setup-ci:
	@$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade tox

.PHONY: setup
setup: setup-ci
	@$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade -e .[test] releasecmd
	@$(PYTHON) -m pip check

=== requirements/requirements.txt ===
mbstrdecoder>=1.0.0,<2
typepy[datetime]>=1.2.0,<2

=== debian/changelog ===
dataproperty (1.0.1-2) unstable; urgency=medium

  * Source-only upload to allow package to migrate to testing.

 -- Edward Betts <edward@4angle.com>  Wed, 31 Jul 2024 09:47:39 +0900

dataproperty (1.0.1-1) unstable; urgency=medium

  * Initial release. (Closes: #1076756)

 -- Edward Betts <edward@4angle.com>  Tue, 23 Jul 2024 20:51:54 +0900

=== debian/control ===
Source: dataproperty
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Edward Betts <edward@4angle.com>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-mbstrdecoder <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-tcolorpy <!nocheck>,
               python3-typepy <!nocheck>
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/thombashi/DataProperty
Vcs-Browser: https://salsa.debian.org/python-team/packages/dataproperty
Vcs-Git: https://salsa.debian.org/python-team/packages/dataproperty.git

Package: python3-dataproperty
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Python library for extracting detailed properties from data
 Designed to assist with the analysis and manipulation of data, this library
 provides a structured approach to extracting properties from various data
 types. It enables users to derive detailed attributes from numbers, strings,
 dates, and boolean values, enhancing the capability to perform in-depth data
 assessments and transformations.
 .
 The library supports multiple types of data property extractions including
 determining numerical precision, string length, and the specific nature of
 datetime and boolean data. Additionally, it offers tools to process matrices
 of data, identifying unique properties for each column or for the entire
 dataset, which can be integral for data cleaning, exploration, and preparing
 for further statistical analysis.

=== debian/tests/control ===
Tests: run-tests
Depends: python3-all, python3-pytest, python3-tcolorpy, @

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/dataproperty-$1\.tar\.gz/ \
  https://github.com/thombashi/DataProperty/tags .*/v?(\d\S+)\.tar\.gz

## dataproperty 1.1.0

=== Makefile ===
PACKAGE := DataProperty
BUILD_WORK_DIR := _work
PKG_BUILD_DIR := $(BUILD_WORK_DIR)/$(PACKAGE)
PYTHON := python3

AUTHOR := Tsuyoshi Hombashi
FIRST_RELEASE_YEAR := 2016
LAST_UPDATE_YEAR := $(shell git log -1 --format=%cd --date=format:%Y)


.PHONY: build-remote
build-remote: clean
	@mkdir -p $(BUILD_WORK_DIR)
	@cd $(BUILD_WORK_DIR) && \
		git clone https://github.com/thombashi/$(PACKAGE).git --depth 1 && \
		cd $(PACKAGE) && \
		$(PYTHON) -m tox -e build
	ls -lh $(PKG_BUILD_DIR)/dist/*

.PHONY: build
build: clean
	@$(PYTHON) -m tox -e build
	ls -lh dist/*

.PHONY: check
check:
	@$(PYTHON) -m tox -e lint

.PHONY: clean
clean:
	@rm -rf $(BUILD_WORK_DIR)
	@$(PYTHON) -m tox -e clean

.PHONY: fmt
fmt:
	@$(PYTHON) -m tox -e fmt

.PHONY: release
release:
	$(PYTHON) -m tox -e release
	$(MAKE) clean

.PHONY: setup-ci
setup-ci:
	$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade pip
	$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade tox

.PHONY: setup-dev
setup-dev: setup-ci
	$(PYTHON) -m pip install -q --disable-pip-version-check --upgrade -e .[test]
	$(PYTHON) -m pip check

.PHONY: update-copyright
update-copyright:
	sed -i "s/f\"Copyright .*/f\"Copyright $(FIRST_RELEASE_YEAR)-$(LAST_UPDATE_YEAR), {__author__}\"/" dataproperty/__version__.py
	sed -i "s/^Copyright (c) .* $(AUTHOR)/Copyright (c) $(FIRST_RELEASE_YEAR)-$(LAST_UPDATE_YEAR) $(AUTHOR)/" LICENSE

=== requirements/requirements.txt ===
mbstrdecoder>=1.0.0,<2
typepy[datetime]>=1.3.2,<2

=== debian/changelog ===
dataproperty (1.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Simplify debian/watch.
  * Update copyright year.
  * Move packages required for tests to Build-Depends-Indep.

 -- Edward Betts <edward@4angle.com>  Fri, 03 Jan 2025 17:39:15 +0000

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: dataproperty
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Edward Betts <edward@4angle.com>
+Uploaders:
+ Edward Betts <edward@4angle.com>,
 Section: python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               pybuild-plugin-pyproject,
-               python3-all,
-               python3-mbstrdecoder <!nocheck>,
-               python3-pytest <!nocheck>,
-               python3-setuptools,
-               python3-tcolorpy <!nocheck>,
-               python3-typepy <!nocheck>
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ pybuild-plugin-pyproject,
+ python3-all,
+ python3-setuptools,
+Build-Depends-Indep:
+ python3-mbstrdecoder <!nocheck>,
+ python3-pytest <!nocheck>,
+ python3-tcolorpy <!nocheck>,
+ python3-typepy <!nocheck>,
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/thombashi/DataProperty
@@ -20,7 +23,9 @@
 
 Package: python3-dataproperty
 Architecture: all
-Depends: ${misc:Depends}, ${python3:Depends}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Python library for extracting detailed properties from data
  Designed to assist with the analysis and manipulation of data, this library
  provides a structured approach to extracting properties from various data

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=dataproperty

%:
	dh $@ --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf dataproperty.egg-info/

=== debian/tests/control ===
Tests:
 run-tests,
Depends:
 python3-all,
 python3-pytest,
 python3-tcolorpy,
 @,

=== debian/watch ===
version=4
https://github.com/thombashi/DataProperty/tags .*/v?(\d\S+)\.tar\.gz
